.\" Copyright (c) 2014 Mohamed Aslan <maslan@sce.carleton.ca>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.Dd $Mdocdate$
.Dt FLOWGEN 1 "FLOWGEN Reference Manual"
.Os
.Sh NAME
.Nm flowgen
.Nd a simple traffic generator
.Sh SYNOPSIS
.Nm flowgen
.Op Fl f Ar [file]
.Nm flowgend
.Op Fl f Ar [file]
.Sh DESCRIPTION
The
.Nm
utility provides a simple command line traffic generator.
.Nm
is available under the terms of ISC, a permissive free software licence.
.Sh FILES
.Bl -tag -width Ds
.It Pa flowgen.conf
This file contains the configuration options for a
.Nm
client.
.It Pa flowgend.conf
This file containts the configuration options for a
.Nm
server.
.Sh EXAMPLES
The following configuration fragment illustrates how
.Nm flowgen
can be used:
.Bd -literal -offset indent
log is csv "my_client.csv"
at 5.0 to 10.0 {
	destination is host "localhost" and port 7000
	transport is udp
	payload is constant with size 4000
	interarrival is exponential with mean 0.75
}
at 4 for 15 {
        destination is ip 127.0.0.1 and port 8000
        transport is udp
        payload is constant with size 4000
	interarrival is pareto with shape 1.5 and scale 1.0
}
.Ed
.Dl $ flowgen -f my_client.conf
.Bd -literal -offset indent
log is csv "my_server.csv"
at 1.0 to 50.0 {
	listen on port 7000
	transport is udp
	buffer size is 512
}
at 5.0 to 50.0 {
	listen on port 7001
	transport is tcp
}
.Ed
.Dl $ flowgend -f my_server.conf
.Pp
.Sh EXIT STATUS
The utilities
.Nm flowgen
and
.Nm flowgend
exit 0 on success, and >0 if an error occurs.
.Sh AUTHORS
The
.Nm
utility was written by
.An Mohamed Aslan Aq Mt maslan@sce.carleton.ca .
.Sh BUGS
.Nm
is currently in alpha status, thus far from having any usefulness. That means you can play with it at your own risk.
